package com.ssm.manage.query;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

import javax.persistence.Column;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * 新登录（门店角色关联菜单）(SysMuenRole)实体类
 *
 * @author makejava
 * @since 2022-06-25 10:11:17
 */
@Table(name = "sys_muen_role")
@JsonIgnoreProperties(ignoreUnknown = true)
public class SysMuenRoleRequest implements Serializable {
    private Long staffId;
    private static final long serialVersionUID = -69724087138731033L;
    /**
     * 角色编码
     */
    @Column(name = "role_id")
    private Long roleId;
    /**
     * 权限编码
     */
    @Column(name = "power_id")
    private Integer powerId;


    public Long getRoleId() {
        return roleId;
    }

    public void setRoleId(Long roleId) {
        this.roleId = roleId;
    }

    public Integer getPowerId() {
        return powerId;
    }

    public void setPowerId(Integer powerId) {
        this.powerId = powerId;
    }

}

